<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "event_overview".
 *
 * @property int $id
 * @property int|null $accident_id 案例ID
 * @property int|null $start_time 发生时间
 * @property int|null $is_important
 * @property string|null $important_content
 * @property string|null $content 事件概览
 * @property int|null $delete_time 删除时间
 * @property string|null $assess 评估
 * @property string|null $assess_two 评估
 * @property string|null|array $source_data
 */
class EventOverview extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'event_overview';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
//            [['accident_id', 'start_time'], 'integer'],
//            [['content'], 'string', 'max' => 512],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'accident_id' => '案例ID',
            'start_time' => 'Start Time',
            'content' => 'Content',
        ];
    }
}
